"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Initials = exports.Avatar = exports.sizes = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _rebass = require("rebass");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var sizes = [20, 40, 80, 160, 200];
exports.sizes = sizes;

var getSize = function getSize(_ref) {
  var size = _ref.size;
  return {
    width: sizes[size],
    height: sizes[size]
  };
};

var Avatar = (0, _styledComponents.default)(_rebass.Box).withConfig({
  displayName: "Avatarstyle__Avatar",
  componentId: "leywbk-0"
})(["border-radius:100%;display:inline-block;position:relative;overflow:hidden;", ""], getSize);
exports.Avatar = Avatar;
var Initials = (0, _styledComponents.default)(_rebass.Text).withConfig({
  displayName: "Avatarstyle__Initials",
  componentId: "leywbk-1"
})(["left:50%;position:absolute;top:52%;transform:translate(-50%,-50%);user-select:none;z-index:0;line-height:1;"]);
exports.Initials = Initials;