"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MenuAnchor = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _Anchor = _interopRequireDefault(require("../../../Elements/Anchor"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getMenuAnchorHoverStyle = function getMenuAnchorHoverStyle(_ref) {
  var theme = _ref.theme;
  return {
    backgroundColor: theme.colors.ui03
  };
};

var MenuAnchor = (0, _styledComponents.default)(_Anchor.default).withConfig({
  displayName: "MenuAnchorstyle__MenuAnchor",
  componentId: "sc-9j3whc-0"
})(["color:inherit;cursor:pointer;display:block;padding:8px 16px;line-height:20px;&:hover{", ";}"], getMenuAnchorHoverStyle);
exports.MenuAnchor = MenuAnchor;