"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _rebass = require("rebass");

var _Avatar = require("./Avatar.style");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var displayName = 'AvatarImage';
var defaultProps = {
  size: 2
};

var Image = function Image(_ref) {
  var alt = _ref.alt,
      size = _ref.size,
      src = _ref.src;
  return _react.default.createElement(_rebass.Image, {
    alt: alt,
    src: src,
    width: _Avatar.sizes[size]
  });
};

Image.displayName = displayName;
Image.defaultProps = defaultProps;
var _default = Image;
exports.default = _default;